- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QCalendarWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qcalendarwidget.h.

`#include <qcalendarwidget.h>`

Inheritance diagram for QCalendarWidget:
[legend]

List of all members.

## Public Types
enum | HorizontalHeaderFormat { NoHorizontalHeader, SingleLetterDayNames, ShortDayNames, LongDayNames }
enum | VerticalHeaderFormat { NoVerticalHeader, ISOWeekNumbers }
enum | SelectionMode { NoSelection, SingleSelection }
## Public Slots
void | setSelectedDate (const QDate &date)
void | setDateRange (const QDate &min, const QDate &max)
void | setCurrentPage (int year, int month)
void | setGridVisible (bool show)
void | setNavigationBarVisible (bool visible)
void | showNextMonth ()
void | showPreviousMonth ()
void | showNextYear ()
void | showPreviousYear ()
void | showSelectedDate ()
void | showToday ()
## Signals
void | selectionChanged ()
void | clicked (const QDate &date)
void | activated (const QDate &date)
void | currentPageChanged (int year, int month)
## Public Member Functions
| QCalendarWidget (QWidget *parent=0)
| ~QCalendarWidget ()
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
QDate | selectedDate () const
int | yearShown () const
int | monthShown () const
QDate | minimumDate () const
void | setMinimumDate (const QDate &date)
QDate | maximumDate () const
void | setMaximumDate (const QDate &date)
Qt::DayOfWeek | firstDayOfWeek () const
void | setFirstDayOfWeek (Qt::DayOfWeek dayOfWeek)
bool | isHeaderVisible () const
void | setHeaderVisible (bool show)
bool | isNavigationBarVisible () const
bool | isGridVisible () const
SelectionMode | selectionMode () const
void | setSelectionMode (SelectionMode mode)
HorizontalHeaderFormat | horizontalHeaderFormat () const
void | setHorizontalHeaderFormat (HorizontalHeaderFormat format)
VerticalHeaderFormat | verticalHeaderFormat () const
void | setVerticalHeaderFormat (VerticalHeaderFormat format)
QTextCharFormat | headerTextFormat () const
void | setHeaderTextFormat (const QTextCharFormat &format)
QTextCharFormat | weekdayTextFormat (Qt::DayOfWeek dayOfWeek) const
void | setWeekdayTextFormat (Qt::DayOfWeek dayOfWeek, const QTextCharFormat &format)
QMap< QDate, QTextCharFormat > | dateTextFormat () const
QTextCharFormat | dateTextFormat (const QDate &date) const
void | setDateTextFormat (const QDate &date, const QTextCharFormat &format)
bool | isDateEditEnabled () const
void | setDateEditEnabled (bool enable)
int | dateEditAcceptDelay () const
void | setDateEditAcceptDelay (int delay)
## Protected Member Functions
bool | event (QEvent *event)
bool | eventFilter (QObject *watched, QEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | resizeEvent (QResizeEvent *event)
void | keyPressEvent (QKeyEvent *event)
virtual void | paintCell (QPainter *painter, const QRect &rect, const QDate &date) const
void | updateCell (const QDate &date)
void | updateCells ()
## Properties
QDate | selectedDate
QDate | minimumDate
QDate | maximumDate
Qt::DayOfWeek | firstDayOfWeek
bool | gridVisible
SelectionMode | selectionMode
HorizontalHeaderFormat | horizontalHeaderFormat
VerticalHeaderFormat | verticalHeaderFormat
bool | headerVisible
bool | navigationBarVisible
bool | dateEditEnabled
int | dateEditAcceptDelay

## Member Enumeration Documentation

enum HorizontalHeaderFormat

Search for all occurrences

Enumerator:

  NoHorizontalHeader | Search for all occurrences
  SingleLetterDayNames | Search for all occurrences
  ShortDayNames | Search for all occurrences
  LongDayNames | Search for all occurrences

Definition at line 81 of file qcalendarwidget.h.

                                    {
            NoHorizontalHeader,
            SingleLetterDayNames,
            ShortDayNames,
            LongDayNames
        };

enum VerticalHeaderFormat

Search for all occurrences

Enumerator:

  NoVerticalHeader | Search for all occurrences
  ISOWeekNumbers | Search for all occurrences

Definition at line 88 of file qcalendarwidget.h.

                                  {
            NoVerticalHeader,
            ISOWeekNumbers
        };

enum SelectionMode

Search for all occurrences

Enumerator:

  NoSelection | Search for all occurrences
  SingleSelection | Search for all occurrences

Definition at line 93 of file qcalendarwidget.h.

                           {
            NoSelection,
            SingleSelection
        };

## Constructor & Destructor Documentation

QCalendarWidget | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QCalendarWidget | ( |  | ) |

## Member Function Documentation

virtual QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QDate selectedDate | ( |  | ) | const

Search for all occurrences

int yearShown | ( |  | ) | const

Search for all occurrences

int monthShown | ( |  | ) | const

Search for all occurrences

QDate minimumDate | ( |  | ) | const

Search for all occurrences

void setMinimumDate | ( | const QDate & | date | ) |

Search for all occurrences

QDate maximumDate | ( |  | ) | const

Search for all occurrences

void setMaximumDate | ( | const QDate & | date | ) |

Search for all occurrences

Qt::DayOfWeek firstDayOfWeek | ( |  | ) | const

Search for all occurrences

void setFirstDayOfWeek | ( | Qt::DayOfWeek | dayOfWeek | ) |

Search for all occurrences

bool isHeaderVisible | ( |  | ) | const

Search for all occurrences

void setHeaderVisible | ( | bool | show | ) |

Search for all occurrences

bool isNavigationBarVisible | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 122 of file qcalendarwidget.h.

    { return isHeaderVisible(); }

bool isGridVisible | ( |  | ) | const

Search for all occurrences

SelectionMode selectionMode | ( |  | ) | const

Search for all occurrences

void setSelectionMode | ( | SelectionMode | mode | ) |

Search for all occurrences

HorizontalHeaderFormat horizontalHeaderFormat | ( |  | ) | const

Search for all occurrences

void setHorizontalHeaderFormat | ( | HorizontalHeaderFormat | format | ) |

Search for all occurrences

VerticalHeaderFormat verticalHeaderFormat | ( |  | ) | const

Search for all occurrences

void setVerticalHeaderFormat | ( | VerticalHeaderFormat | format | ) |

Search for all occurrences

QTextCharFormat headerTextFormat | ( |  | ) | const

Search for all occurrences

void setHeaderTextFormat | ( | const QTextCharFormat & | format | ) |

Search for all occurrences

QTextCharFormat weekdayTextFormat | ( | Qt::DayOfWeek | dayOfWeek | ) | const

Search for all occurrences

void setWeekdayTextFormat | ( | Qt::DayOfWeek | dayOfWeek,
|  | const QTextCharFormat & | format
| ) |  |

Search for all occurrences

QMap<QDate, QTextCharFormat> dateTextFormat | ( |  | ) | const

Search for all occurrences

QTextCharFormat dateTextFormat | ( | const QDate & | date | ) | const

Search for all occurrences

void setDateTextFormat | ( | const QDate & | date,
|  | const QTextCharFormat & | format
| ) |  |

Search for all occurrences

bool isDateEditEnabled | ( |  | ) | const

Search for all occurrences

void setDateEditEnabled | ( | bool | enable | ) |

Search for all occurrences

int dateEditAcceptDelay | ( |  | ) | const

Search for all occurrences

void setDateEditAcceptDelay | ( | int | delay | ) |

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool eventFilter | ( | QObject * | watched,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void mousePressEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void paintCell | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QDate & | date
| ) |  | const `[protected, virtual]`

Search for all occurrences

void updateCell | ( | const QDate & | date | ) | `[protected]`

Search for all occurrences

void updateCells | ( |  | ) | `[protected]`

Search for all occurrences

void setSelectedDate | ( | const QDate & | date | ) | `[slot]`

Search for all occurrences

void setDateRange | ( | const QDate & | min,
|  | const QDate & | max
| ) |  | `[slot]`

Search for all occurrences

void setCurrentPage | ( | int | year,
|  | int | month
| ) |  | `[slot]`

Search for all occurrences

void setGridVisible | ( | bool | show | ) | `[slot]`

Search for all occurrences

void setNavigationBarVisible | ( | bool | visible | ) | `[slot]`

Search for all occurrences

void showNextMonth | ( |  | ) | `[slot]`

Search for all occurrences

void showPreviousMonth | ( |  | ) | `[slot]`

Search for all occurrences

void showNextYear | ( |  | ) | `[slot]`

Search for all occurrences

void showPreviousYear | ( |  | ) | `[slot]`

Search for all occurrences

void showSelectedDate | ( |  | ) | `[slot]`

Search for all occurrences

void showToday | ( |  | ) | `[slot]`

Search for all occurrences

void selectionChanged | ( |  | ) | `[signal]`

Search for all occurrences

void clicked | ( | const QDate & | date | ) | `[signal]`

Search for all occurrences

void activated | ( | const QDate & | date | ) | `[signal]`

Search for all occurrences

void currentPageChanged | ( | int | year,
|  | int | month
| ) |  | `[signal]`

Search for all occurrences

## Property Documentation

QDate selectedDate `[read, write]`

Search for all occurrences

Definition at line 67 of file qcalendarwidget.h.

QDate minimumDate `[read, write]`

Search for all occurrences

Definition at line 68 of file qcalendarwidget.h.

QDate maximumDate `[read, write]`

Search for all occurrences

Definition at line 69 of file qcalendarwidget.h.

Qt::DayOfWeek firstDayOfWeek `[read, write]`

Search for all occurrences

Definition at line 70 of file qcalendarwidget.h.

bool gridVisible `[read, write]`

Search for all occurrences

Definition at line 71 of file qcalendarwidget.h.

SelectionMode selectionMode `[read, write]`

Search for all occurrences

Definition at line 72 of file qcalendarwidget.h.

HorizontalHeaderFormat horizontalHeaderFormat `[read, write]`

Search for all occurrences

Definition at line 73 of file qcalendarwidget.h.

VerticalHeaderFormat verticalHeaderFormat `[read, write]`

Search for all occurrences

Definition at line 74 of file qcalendarwidget.h.

bool headerVisible `[read, write]`

Search for all occurrences

Definition at line 75 of file qcalendarwidget.h.

bool navigationBarVisible `[read, write]`

Search for all occurrences

Definition at line 76 of file qcalendarwidget.h.

bool dateEditEnabled `[read, write]`

Search for all occurrences

Definition at line 77 of file qcalendarwidget.h.

int dateEditAcceptDelay `[read, write]`

Search for all occurrences

Definition at line 78 of file qcalendarwidget.h.

The documentation for this class was generated from the following file:

- QtGui/qcalendarwidget.h

QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget
QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget QCalendarWidget